dvb_table_nit Struct Reference
Digital TV table parsing

MPEG-TS NIT table. More...

`#include <nit.h>`

## Data Fields

struct dvb_table_header | header
union { |
uint16_t bitfield |
struct { |
uint16_t desc_length:12 |
uint16_t reserved:4 |
} |
}; |
struct dvb_desc * | descriptor
struct dvb_table_nit_transport * | transport

## Detailed Description

MPEG-TS NIT table.

Parameters

  header | struct dvb_table_header content
  desc_length | descriptor length
  descriptor | pointer to struct dvb_desc
  transport | pointer to struct dvb_table_nit_transport

This structure is used to store the original NIT table, converting the integer fields to the CPU endianness.

The undocumented parameters are used only internally by the API and/or are fields that are reserved. They shouldn't be used, as they may change on future API releases.

Everything after dvb_table_nit::descriptor (including it) won't be bit-mapped to the data parsed from the MPEG TS. So, metadata are added there.

Definition at line 143 of file nit.h.

## Field Documentation

## [union]

union { ... } dvb_table_nit

## bitfield

uint16_t dvb_table_nit::bitfield

Definition at line 146 of file nit.h.

## desc_length

uint16_t dvb_table_nit::desc_length

Definition at line 148 of file nit.h.

## descriptor

struct dvb_desc* dvb_table_nit::descriptor

Definition at line 152 of file nit.h.

## header

struct dvb_table_header dvb_table_nit::header

Definition at line 144 of file nit.h.

## reserved

uint16_t dvb_table_nit::reserved

Definition at line 149 of file nit.h.

## transport

struct dvb_table_nit_transport* dvb_table_nit::transport

Definition at line 153 of file nit.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/nit.h